MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023280Community[OCCT] OCCT:Foundation Classespublic2012-07-13 18:272012-11-16 13:17
ReporterPawel 
Assigned ToPawel 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformAOSLOS VersionL
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023280: Pointer to local array is stored outside the scope of this array.
DescriptionIn OSD_Real2String.cxx, line 113: the array 'buff' goes out of scope but the pointer 'str' is used anyway (method strtod, line 118).
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0020973)
Pawel (developer)
2012-07-13 18:30

Corresponding git branch pushed. Please review.
(0020974)
abv (manager)
2012-07-13 18:33

No remarks, please test
(0021002)
apn (administrator)
2012-07-17 11:37

Dear BugMaster,
The workbenches
KAS:dev:mkv-23280-occt (GIT branch CR23280)
KAS:dev:mkv-23280-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
chl 922 R3
chl 934 P9

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23280-products_16072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120706-opt_06072012/lin
See test cases in /QADisk/occttests/tests/ED

- Related Changesets
occt: master abd9003d
Timestamp: 2012-07-13 14:29:20
Author: Pawel
Details ] Diff ]
0023280: Pointer to local array is stored outside the scope of this array.

Moved the array 'buff' so it can be visible while 'str' still refers to it.
mod - src/OSD/OSD_Real2String.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-13 18:27 Pawel New Issue
2012-07-13 18:27 Pawel Assigned To => Pawel
2012-07-13 18:30 Pawel Note Added: 0020973
2012-07-13 18:30 Pawel Assigned To Pawel => bugmaster
2012-07-13 18:30 Pawel Status new => resolved
2012-07-13 18:33 abv Note Added: 0020974
2012-07-13 18:33 abv Status resolved => reviewed
2012-07-16 13:27 mkv Assigned To bugmaster => mkv
2012-07-17 11:37 apn Note Added: 0021002
2012-07-17 11:38 apn Test case number => Not needed
2012-07-17 11:38 apn Assigned To mkv => bugmaster
2012-07-17 11:38 apn Status reviewed => tested
2012-07-23 15:03 Pawel Changeset attached => occt master abd9003d
2012-07-23 15:03 Pawel Assigned To bugmaster => Pawel
2012-07-23 15:03 Pawel Status tested => verified
2012-07-23 15:03 Pawel Resolution open => fixed
2012-11-16 13:14 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker